!-------------------------------------------------
!Author: Robert Clapp, ESMB 463, 7230253
!Date Created:Mon May 18 21:34:08 PDT 1998
!
module i_op_mod
  use adj_mod
  implicit none
  contains
  integer function i_op(adj,add,model,data)
    logical :: adj,add
    real :: model(:),data(:)
    call adjnull(adj,add,model,data)
    if (.not. adj) then
      data= data+model
    else
      model= model+data
    end if
    i_op=0.
  end function
end module
